#!/bin/bash
set -e
set -x verbose

mkdir -p output build

bipc.sh -I . -p RescueRobot -d "RescueCompound()" \
		--gencpp-cc-I . \
		--gencpp-cc-extra-src ext.cpp \
    --gencpp-output output

cd build
cmake ../output
make

echo "Finished. Run: ./build/system"
